### Method

# Fwupd SecurityAttr has_guid

since: 1.7.0

#### Declaration [src]

    gboolean
    fwupd_security_attr_has_guid (
      FwupdSecurityAttr* self,
      const gchar* guid
    )

#### Description [src]

Finds out if a specific GUID was added to the attribute.

Available since: 1.7.0

#### Parameters

`guid`

  Type: `const gchar*`

  The attribute guid.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the self matches.